summaryrefslogtreecommitdiffstats
path: root/libraries/libnumbertext/libnumbertext.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/libnumbertext/libnumbertext.SlackBuild')
-rw-r--r--libraries/libnumbertext/libnumbertext.SlackBuild10
1 files changed, 6 insertions, 4 deletions
diff --git a/libraries/libnumbertext/libnumbertext.SlackBuild b/libraries/libnumbertext/libnumbertext.SlackBuild
index 66ad3090b7..3e77de5c7f 100644
--- a/libraries/libnumbertext/libnumbertext.SlackBuild
+++ b/libraries/libnumbertext/libnumbertext.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libnumbertext
-# Copyright 2018 Hunter Sezen California, USA
+# Copyright 2018, 2020 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libnumbertext
-VERSION=${VERSION:-1.0.5}
+VERSION=${VERSION:-1.0.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,6 +69,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -81,8 +83,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog NEWS README.md THANKS \